<?php
class imcommon { public function __construct() { add_action('after_setup_theme', array(&$this, 'themeSetup')); add_action('wp_enqueue_scripts', array(&$this, 'enqueueScript')); add_action('widgets_init', array(&$this, 'widgetInit')); add_filter('navigation_markup_template', array(&$this, 'paginationTemplate')); add_action("sidebar_info", array(&$this, 'addFooterAuthor')); add_filter("preprocess_comment", array(&$this, "checkCommentPost")); add_action('customize_register', array(&$this, 'customizeRegister'), 11); add_action('admin_print_footer_scripts', array(&$this, 'addQuickTags')); add_action('init', array(&$this, 'addEditorButton')); } public function themeSetup() { add_theme_support('title-tag'); add_theme_support('automatic-feed-links'); add_theme_support('post-thumbnails'); add_theme_support('custom-background', array( 'default-color' => '#f0f0f0', 'default-attachment' => 'fixed', )); register_nav_menus(array( 'primary' => '主菜单', 'second' => '次菜单', )); add_theme_support('html5', array( 'search-form', 'comment-form', 'comment-list', 'gallery', 'caption', )); add_editor_style('static/css/editor-style.css'); } public function enqueueScript() { wp_enqueue_script("imajax", get_stylesheet_directory_uri() . '/static/js/imajax.js', array('jquery'), '20151221', true); wp_enqueue_script("layout", get_stylesheet_directory_uri() . '/static/js/layout.js', array('jquery'), '20151221', true); wp_enqueue_style("main", get_stylesheet_directory_uri() . '/static/css/main.min.css', array(), '20151221'); wp_enqueue_style("fafont", get_stylesheet_directory_uri() . '/static/css/font-awesome.min.css', array(), '20151221'); if (is_singular() && comments_open() && get_option('thread_comments')) { wp_enqueue_script('comment-reply'); } } public function widgetInit() { register_sidebar(array( 'name' => '侧边栏', 'id' => 'sidebar-1', 'description' => '侧边栏', 'before_widget' => '<aside id="%1$s" class="widget %2$s">', 'after_widget' => '</aside>', 'before_title' => '<h2 class="widget-title">', 'after_title' => '</h2>', )); } public function paginationTemplate() { $template = '
		<nav class="navigation %1$s" role="navigation">
			<div class="nav-links clearfix">%3$s</div>
		</nav>'; return $template; } public function addFooterAuthor() { echo '<div class="footer">
			 	<p>' . get_option('footer_text') . '</p>
			 	<p class="author-info">powered by <a target="_blank" href="http://cn.wordpress.org">wordpress</a>
			 	<br/>
			 	theme by <a target="_blank" href="http://imhuchao.com">imhuchao</a></p>
			</div>'; } public function checkCommentPost($incomingComment) { $pattern = '/[一-龥]/u'; $http = '/[href="|rel="nofollow"|http:\/\/|<\/a>]/u'; if (!preg_match($pattern, $incomingComment['comment_content'])) { wp_die("评论里面需要有中文才行！"); } elseif (preg_match($http, $incomingComment['comment_content'])) { wp_die("评论里面别带链接了！"); } return ($incomingComment); } public function customizeRegister($wp_customize) { $wp_customize->get_setting('blogname')->transport = 'postMessage'; $wp_customize->get_setting('blogdescription')->transport = 'postMessage'; $wp_customize->add_section('footer_settings', array( 'title' => '页脚设定', 'priority' => 120, )); $wp_customize->add_setting('footer_text', array( 'default' => '', 'transport' => 'postMessage', 'capability' => 'edit_theme_options', 'type' => 'option', )); $wp_customize->add_control('footer_settings', array( 'label' => '页脚文字', 'description' => '在页脚的一段描述性的文字，比如版权信息，备案信息，统计代码等等', 'settings' => 'footer_text', 'section' => 'footer_settings', 'type' => 'textarea', )); } public function addQuickTags() { echo <<<EOF
		<script type="text/javascript">
    		QTags.addButton( 'pre', 'pre', '<pre>','</pre>' );
    	</script>
EOF;
} function addEditorButton() { if (!current_user_can('edit_posts') && !current_user_can('edit_pages')) { return; } if (get_user_option('rich_editing') == 'true') { add_filter('mce_external_plugins', array(&$this, 'addPlugin')); add_filter('mce_buttons', array(&$this, 'registerButton')); } } public function registerButton($buttons) { array_push($buttons, "php"); array_push($buttons, "js"); array_push($buttons, "code"); return $buttons; } public function addPlugin($plugin_array) { $plugin_array['mybutton_script'] = get_bloginfo('template_url') . '/static/js/editor_button.js'; return $plugin_array; } } new imcommon();